[lsb-discuss] LSB 4.0 and printing

Wichmann, Mats D mats.d.wichmann at intel.com
Wed Mar 26 15:57:18 PDT 2008


> Well, one option which we can certainly do is to do the work that
> requires the newer CUPS and newer GtK libraries as a trial-use module.
> This would allow us to do the work, and make sure the specs are in
> shape for LSB 4.1/LSB 5.0 (whatever we end up calling it).

Not to be a wet blanket, but I believe our infrastructure at the
moment would make it quite difficult to carry two versions of
the same component at the same time.  Externally it may be clear
that one is mainline/required and one is future-looking/trial-use,
but internally I have no idea how we would represent that.  I'm
asking some questions about similar (but not quite as complicated)
issues for a different reason, but if this is something we
intend to do we need to identify it as a task - one I personally
believe is a rather large one - and prepare to support 
implementing it with sufficient staffing. This is not something
that has been considered to date.

The same does not apply to making an entirely new feature
available as trial-use, that's quite straightforward.




More information about the lsb-discuss mailing list